# hy-banner

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute          | Description | Type     | Default     |
| ----------------- | ------------------ | ----------- | -------- | ----------- |
| `scLabel`         | `sc-label`         |             | `string` | `undefined` |
| `textDescription` | `text-description` |             | `string` | `null`      |
| `textTitle`       | `text-title`       |             | `string` | `undefined` |
| `url`             | `url`              |             | `string` | `undefined` |
| `urlTitle`        | `url-title`        |             | `string` | `undefined` |

## Dependencies

### Depends on

- [hy-box](../hy-box)
- [hy-cta-button](../cta-button)

### Graph

```mermaid
graph TD;
  hy-banner --> hy-box
  hy-banner --> hy-cta-button
  hy-cta-button --> hy-icon
  style hy-banner fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
