import {Component, h} from '@stencil/core';

@Component({
  tag: 'hy-ingress',
  styleUrl: 'ingress.scss',
  shadow: true
})
export class Ingress {
  render() {
    const classAttributes = ['hy-ingress'];
    return (
      <p class={classAttributes.join(' ')}>
        <slot></slot>
      </p>
    );
  }
}
